# Uses of Enum Class
org.apache.lucene.util.packed.PackedInts.Format

Packages that use PackedInts.Format
Package
Description
org.apache.lucene.util.packed
Packed integer arrays and streams.

- ## Uses of PackedInts.Format in org.apache.lucene.util.packed

  Methods in org.apache.lucene.util.packed that return PackedInts.Format
  Modifier and Type
  Method
  Description
  `static PackedInts.Format`
  PackedInts.Format.`byId(int id)`
  Get a format according to its ID.
  `PackedInts.Format`
  PackedInts.FormatAndBits.`format()`
  Returns the value of the `format` record component.
  `protected abstract PackedInts.Format`
  PackedInts.Writer.`getFormat()`
  The format used to serialize values.
  `static PackedInts.Format`
  PackedInts.Format.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PackedInts.Format[]`
  PackedInts.Format.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.util.packed with parameters of type PackedInts.Format
  Modifier and Type
  Method
  Description
  `static PackedInts.Decoder`
  PackedInts.`getDecoder(PackedInts.Format format, int version, int bitsPerValue)`
  Get a `PackedInts.Decoder`.
  `static PackedInts.Encoder`
  PackedInts.`getEncoder(PackedInts.Format format, int version, int bitsPerValue)`
  Get an `PackedInts.Encoder`.
  `static PackedInts.Mutable`
  PackedInts.`getMutable(int valueCount, int bitsPerValue, PackedInts.Format format)`
  Same as `PackedInts.getMutable(int, int, float)` with a pre-computed number of bits per value and format.
  `static PackedInts.ReaderIterator`
  PackedInts.`getReaderIteratorNoHeader(DataInput in, PackedInts.Format format, int version, int valueCount, int bitsPerValue, int mem)`
  Expert: Restore a `PackedInts.ReaderIterator` from a stream without reading metadata at the beginning of the stream.
  `static PackedInts.Writer`
  PackedInts.`getWriterNoHeader(DataOutput out, PackedInts.Format format, int valueCount, int bitsPerValue, int mem)`
  Expert: Create a packed integer array writer for the given output, format, value count, and number of bits per value.
  Constructors in org.apache.lucene.util.packed with parameters of type PackedInts.Format
  Modifier
  Constructor
  Description
  ``
  `FormatAndBits(PackedInts.Format format, int bitsPerValue)`
  Creates an instance of a `FormatAndBits` record class.